<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   extract($_POST);
   
   
   


	
	
	$q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE transacciones.idtransacciones=$idped";
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
 
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $rfc = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $cantidad = $r1[4];
	  $puntos = $r1[5];
	  $fecha = $r1[6];
	  $idtrans = $r1[7];
	  $tipo = $r1[8];
	   $ef = $r1[9];
	    $de = $r1[10];
		 $ta = $r1[11];
		  $re = $r1[12];
		   $vo = $r1[13];
		    $pp = $r1[14];
			 $consec = $r1[15];
			 $cd = $r1[16];
			 $cde = $r1[17];
			 $ste = $r1[18];
			 $inv = $r1[19];
			 $a20 = $r1[20];

	      $nombrecliente="$a1 $a2 $a3";
	  if($tipo==10){$tiponota='VENTA';   	  }
	  if($tipo==11){ $tiponota='SALIDA';  	  } 
	  if($tipo==1){ $tiponota='CANCEL';  	  } 
		if($tipo==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	
   }

  }
   
   
   echo"<center><br><font size=\"+3\" color=\"blue\">Cambiar tipo de pago a pedido</font>
    <br><br><font size=\"+2\">Pedido No. <b>$cd"."-"."$consec</b> Transacci&oacute;n <b>$idtrans</b></font><br>
    
    <br><br>Informaci&oacute;n del Pedido<br>
	<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Pedido</th><th>RFC</th><th>Nombre</th><th>Tipo</th><th>CD</th><th>CDE</th><th>Status</th></tr>
	<tr><td>$cd"."-"."$consec</td><td>$rfc</td><td>$nombrecliente</td><td>$tiponota</td><td>$cd</td><td>$cde</td><td>$ste</td></tr>
	</table><br>";
	
	
   echo"<br><table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
	<tr><th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th></tr>
	<tr><td>$cantidad</td><td>$puntos</td><td>$ef</td><td>$de</td><td>$ta</td><td>$re</td><td>$vo</td><td>$pp</td></tr>
	</table>";
	
	

	
	echo"<hr><br><br>";
	$total=$cantidad-$ef1-$de1-$ta1-$pp1;
	if($comision=="si"){$ta1=$ta1*1.04;}
	echo"<font size=\"+3\"><b>Nueva forma de pago</b></font><br><br>
	<form name=\"Agrega2\" action=\"cambiopago3.php\" method=\"post\">
	<table border=\"1\">
	<tr><th>Cantidad</th><th>Efectivo</th><th>Deposito</th><th>Tarjeta</th><th>Por Pagar</th></tr>
	<tr><td>$cantidad</td><td>$ef1</td><td>$de1</td><td>$ta1</td><td>$pp1</td></tr>
	</table>
	<br>";
	
	
	if($total==0){
	if($de1>0){
	
	$qps = "select  * from bancos where idbanco='$banco'";
$cps = mysqli_query($conexion, $qps) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rps = mysqli_fetch_object($cps);	
		$cuenta = $rps->cuenta;
		$numero = $rps->numero;
		echo"<input type=hidden name=bco value=$banco /><br>Informaci&oacute;n de d&eacute;posito:<br><br> Cuenta: $cuenta $numero <br>Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"> <br>Referencia
			<input type=\"text\" name=\"ref\" value=\"\" size=\"+5\">
		";
	}	
		echo"<br><br>
		<input type=hidden name=trans value=$idped />
		<input type=hidden name=ef value=$ef1 />
		<input type=hidden name=de value=$de1 />
		<input type=hidden name=ta value=$ta1 />
		<input type=hidden name=pp value=$pp1 />
		<input type=hidden name=idped value=$idtrans /><input type=\"submit\" name=\"lista2\"  value=\"Hacer cambios en sistema\" /></form></center>";
;
	}else{
		
		echo"<font size=\"+2\" color=\"red\">Las cantidades no coinciden, favor de revisar</font>";
	}
	
	
		
	
	
	
	

	
   

   

?>

